Bug 826614 - Can't pair with Apple Magic Trackpad in Fedora 17
Can't pair with Apple Magic Trackpad in Fedora 17
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bluetooth first=3.3.7
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 11:38 EDT by Gary Case
Modified: 2013-08-01 12:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:21:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Case 2012-05-30 11:38:47 EDT
Description of problem:
The Bluetooth New Device Setup program returns "Setting up 'Apple Wireless Trackpad' failed" when attempting to pair an Apple Magic Trackpad with Fedora 17. This happens when you select the pre-filled "0000" authentication code, or 1111, 1234 or attempt to enter 0000 yourself manually. Other Apple devices work on the first try, specifically the Apple Wireless Keyboard.

Version-Release number of selected component (if applicable):
3.3.7-1.fc17.x86_64

How reproducible:
Every Time


Steps to Reproduce:
1. Access Bluetooth menu in Gnome, then choose Set up a New Device
2. Put the trackpad in pairing mode
3. Click on the trackpad in the Device Search window
4. Click the PIN options and select 0000, then click close
5. Click Continue to attempt to pair
6. Setup Summary returns "Setting up 'Apple Wireless Trackpad' failed
  
Actual results:
Non-working trackpad

/var/log/messages output:

May 30 11:01:00 dhcp-186-61 bluetoothd[693]: bluetoothd[693]: Discovery session 0x7fa8693df780 with :1.105 activated
May 30 11:01:00 dhcp-186-61 bluetoothd[693]: Discovery session 0x7fa8693df780 with :1.105 activated
May 30 11:01:15 dhcp-186-61 bluetoothd[693]: bluetoothd[693]: Stopping discovery
May 30 11:01:15 dhcp-186-61 bluetoothd[693]: Stopping discovery
May 30 11:01:21 dhcp-186-61 dbus-daemon[827]: dbus[827]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.105" (uid=1000 pid=2871 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.2" (uid=0 pid=693 comm="/usr/sbin/bluetoothd -n ")
May 30 11:01:21 dhcp-186-61 dbus[827]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.105" (uid=1000 pid=2871 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.2" (uid=0 pid=693 comm="/usr/sbin/bluetoothd -n ")

Expected results:
Working trackpad

Additional info:

I *think* that the hcitool and hidd commands here are the series of steps I tried to make this work in F16:

https://wiki.ubuntu.com/Multitouch/AppleMagicTrackpad

This no longer works in F17:

[root@dhcp-186-61 ~]# hcitool scan
Scanning ...
	00:XX:4D:FE:AD:XX	Some Device
	00:XX:42:88:A6:XX	Some Other Device
	C8:BC:C8:FA:B9:09	Apple Wireless Trackpad

[root@dhcp-186-61 ~]# hidd --connect C8:BC:C8:FA:B9:09
Can't create HID control channel: Connection refused

[root@dhcp-186-61 ~]# hidd --show
44:2A:60:E0:63:97 Apple Wireless Keyboard [05ac:0239] connected
Comment 2 Gary Case 2012-06-13 15:18:43 EDT
One of the recent updates to F17 allowed my trackpad to start working again. I used the Blueman device manager to set it up, pairing it with a PIN of 0000. If it survives a reboot, I'll close this ticket.
Comment 3 Gary Case 2012-06-13 17:01:06 EDT
No such luck. It stopped working.
Comment 4 Josh Boyer 2012-07-10 13:01:38 EDT
Can you tell us if the latest F17 kernel resolves this?  If not, can you attach the dmesg when you connect and when it stops working (assuming it connected).
Comment 5 Khalid Bou-Rabee 2012-07-17 22:38:05 EDT
The latest F17 kernel does not resolve this but eventually the trackpad is detected. I'm not sure what one has to do to get it to work but once it works it always works.
Comment 6 Gary Case 2012-07-18 10:26:44 EDT
I've not had any luck making it pair. It takes longer to fail than it did before, but it still always fails for me.
Comment 7 Bastien Nocera 2012-09-25 12:57:39 EDT
FYI, so that your trackpad can pair out of the box using GNOME:
http://git.gnome.org/browse/gnome-bluetooth/commit/?id=70d17f0e981a625d5899f1e209cd5c51a035a482
Comment 8 747500 2013-01-08 08:46:33 EST
I confirm the same behavior - Apple Wireless Keyboard pairs, Magic Mouse or Magic Trackpad does not.
Comment 9 747500 2013-01-08 09:35:39 EST
for my Magic Mouse "blueman" says:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

syslog:
Jan  8 18:29:07 lab bluetoothd[791]: bluetoothd[791]: Discovery session 0x7ff3d8d76480 with :1.124 activated
Jan  8 18:29:07 lab bluetoothd[791]: Discovery session 0x7ff3d8d76480 with :1.124 activated
Jan  8 18:29:16 lab kernel: [ 6148.630434] Bluetooth: hci0 command 0x0405 tx timeout
Jan  8 18:29:17 lab bluetoothd[791]: bluetoothd[791]: Stopping discovery
Jan  8 18:29:17 lab bluetoothd[791]: Stopping discovery
Jan  8 18:29:55 lab bluetoothd[791]: bluetoothd[791]: C4:2C:03:B1:93:11: error updating services: Connection timed out (110)
Jan  8 18:29:55 lab bluetoothd[791]: C4:2C:03:B1:93:11: error updating services: Connection timed out (110)
Comment 10 Fedora End Of Life 2013-07-04 01:20:19 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-08-01 12:21:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.